Amplifying your potential.

not to work with shader model 3.0

Full-scene Motion Blur for Unity Pro
4 posts • Page 1 of 1

not to work with shader model 3.0

Postby kimsama » Fri Jul 10, 2015 7:49 am

I've been tried Amplify Motion trial version with shader model 3.0 on Android but it does not work.

Used Amplify Motion is trial version downloaded from this site and Unity is 5.1.

Is that a known issue?


Thanks,

-Kim
kimsama
 
Posts: 2
Joined: Fri Jul 10, 2015 7:45 am

Re: not to work with shader model 3.0

Postby Ricardo Teixeira » Fri Jul 10, 2015 9:36 am

kimsama wrote:I've been tried Amplify Motion trial version with shader model 3.0 on Android but it does not work.

Used Amplify Motion is trial version downloaded from this site and Unity is 5.1.

Is that a known issue?


Thanks,

-Kim


Hello,

Thank you for evaluating Amplify Motion, we really apreciate it.

It's not a known issue, what device are you currently using? Do you get any warnings or errors?

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 926
Joined: Fri Aug 09, 2013 2:26 pm

Re: not to work with shader model 3.0

Postby kimsama » Thu Jul 16, 2015 3:37 am

Thank you for your proceedings.

Attached more details.

Compiled 'MotionBlur.shader' file with OpenGLES30 setting and got the following errors:

Shader error in 'Hidden/Amplify Motion/MotionBlur': Program 'frag_mobile', error X8000: D3D11 Internal Compiler Error: Invalid Bytecode: Incompatible min precision type for operand #1 of opcode #35 (counts are 1-based). Expected int or uint. (on gles3)

Compiling Vertex program

Shader error in 'Hidden/Amplify Motion/MotionBlur': Program 'frag_sm2', error X8000: D3D11 Internal Compiler Error: Invalid Bytecode: Incompatible min precision type for operand #1 of opcode #44 (counts are 1-based). Expected int or uint. (on gles3)

Compiling Vertex program

Shader error in 'Hidden/Amplify Motion/MotionBlur': Program 'frag_sm3', error X8000: D3D11 Internal Compiler Error: Invalid Bytecode: Incompatible min precision type for operand #1 of opcode #52 (counts are 1-based). Expected int or uint. (on gles3)

Compiling Vertex program

Shader error in 'Hidden/Amplify Motion/MotionBlur': Program 'frag_sm3', error X8000: D3D11 Internal Compiler Error: Invalid Bytecode: Incompatible min precision type for operand #1 of opcode #88 (counts are 1-based). Expected int or uint. (on gles3)

Compiling Vertex program

Shader error in 'Hidden/Amplify Motion/MotionBlur': Program 'frag_soft_sm3', error X8000: D3D11 Internal Compiler Error: Invalid Bytecode: Incompatible min precision type for operand #1 of opcode #50 (counts are 1-based). Expected int or uint. (on gles3)

Compiling Vertex program


Image

Tested device is Galaxy S6 Edge (SM-G925S).

Any ideas?

-Kim
kimsama
 
Posts: 2
Joined: Fri Jul 10, 2015 7:45 am

Re: not to work with shader model 3.0

Postby Ricardo Teixeira » Thu Jun 02, 2016 4:17 pm

Hello,

Did you receive my email or PM with additional info and a download link?
Be sure to check out the latest AM version available in the Unity Asset Store and let us know if the problem persists.

Thanks!
Sales & Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Ricardo Teixeira
 
Posts: 926
Joined: Fri Aug 09, 2013 2:26 pm


4 posts • Page 1 of 1

Return to Amplify Motion

Who is online

Users browsing this forum: No registered users and 1 guest